%define upstream_name	 RPC-XML
%define upstream_version 0.77

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A set of classes for core data, message and XML handling
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(LWP) >= 5.834.0
BuildRequires: perl(Scalar::Util) >= 1.190.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(XML::Parser) >= 2.310.0
BuildRequires: perl(constant) >= 1.30.0
BuildArch:  noarch

Obsoletes:  perl-RPC-XML-Apache <= 0.740.0

%description
The RPC::XML package is a reference implementation of the XML-RPC
standard. As a reference implementation, it is geared more towards clarity and
readability than efficiency.

The package provides a set of classes for creating values to pass to the
constructors for requests and responses. These are lightweight objects, most
of which are implemented as tied scalars so as to associate specific type
information with the value. Classes are also provided for requests, responses,
faults (errors) and a parser based on the XML::Parser package from CPAN.

This module does not actually provide any transport implementation or
server basis. For these, see RPC::XML::Client and RPC::XML::Server,
respectively.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

# make tests don't work
# make test

%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml README ex
%{_bindir}/*
%{perl_vendorlib}/
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.770.0-2.mga3
+ Revision: 372182
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 05 2012 kharec <kharec> 0.770.0-1.mga3
+ Revision: 288511
- update to 0.77

  + jquelin <jquelin>
    - update to 0.76

* Wed Feb 16 2011 jquelin <jquelin> 0.740.0-1.mga1
+ Revision: 52687
- update to 0.74

* Sun Jan 23 2011 jquelin <jquelin> 0.730.0-1.mga1
+ Revision: 34192
- mageia rebuild
- imported package perl-RPC-XML

